<!DOCTYPE html>
<html>
<head>
	<title>Navbar</title>
</head>

<meta name="viewport" content="width=device-width, initial-scale=1">

<link rel="stylesheet" href="https://use.fontawesome.com/releases/v5.5.0/css/all.css" integrity="sha384-B4dIYHKNBt8Bc12p+WXckhzcICo0wtJAoU8YZTY5qE0Id1GSseTk6S+L3BlXeVIU" crossorigin="anonymous">

<script type="text/javascript" src="js/jQuery.js"></script>

<style type="text/css">
	
	* {
		box-sizing: border-box;
		outline: none;
	}

	body{
		margin: 0;
		padding: 0;
		background: url(blah.png);
		background-size: cover;
	}

	.navbar ul{
		position: absolute;
		top: 0;
		margin: 0;
		width: 100%;
		padding: 20px 0;
		float: right;
		list-style: none;
		text-align: right;
	}

	.navbar ul li{
		padding: 25px 50px;
		display: inline;
		cursor: pointer;
		opacity: .1;
		transition: background-color linear .3s, opacity linear .3s;
	}

	.navbar ul li a{
		color: #fff;
		text-decoration: none;
		font-family: "Consolas";
	}
	
	.navbar ul li.logo{
		text-align: left;
		float: left;
		display: inline;
		margin: 0;
		padding: 0 0 0 70px;
		text-transform: uppercase;
		font-weight: bolder;
		font-size: 20px;
		opacity: 1;
	}

	.navbar ul li.toggleBtn{
		text-align: left;
		display: none;
		padding: 0 0 0 70px;
		text-transform: uppercase;
		font-weight: bolder;
		font-size: 20px;
		opacity: 1;
	}
	.navbar ul li:hover{
		background-color:  rgba(51, 51, 51, .3);
		border-bottom: 2px solid red;
		opacity: 1;
	}

	.navbar ul li.logo:hover{
		background-color: transparent;
		border-bottom: none;
	}

	.navbar ul li.toggleBtn:hover{
		background-color: transparent;
		border-bottom: none;
	}

	.sidenav ul{
		display: inline-block;
		float: right;
		padding: 10px;
		margin: 200px 0;
		list-style: none;
	}

	.sidenav ul li {
		text-align: center;
		height: 30px;
		width: 30px;
		background-color: rgba(255, 255, 255, .7);
		border-radius: 50%;
		padding: 7px;
		margin: 30px 10px;
		cursor: pointer;
	}

	.sidenav ul li a{
		color: #fff;
		text-decoration: none;
	}
	
	.sidenav ul li a i{
		position: relative;
		top: 0px;
		color: #000;
	}

	.sidenav ul li.fb, li.tw, li.ig, li.ig i{
		transition: background-color, linear, .4s, color, linear, .4s;
	}

	.sidenav ul li.fb:hover{
		background-color: rgba(67, 118, 181);
	}

	.sidenav ul li.tw:hover{
		background-color: rgba(65, 173, 218);
	}

	.sidenav ul li.ig:hover{
		background-color: rgba(50, 50, 50);
	}

	.sidenav ul li.ig:hover i{
		color: #fff;
	}
	
	.content{
		float: left;
		margin-left: 8.33%;
		margin-top: 20%;
		width: 33.33%;
		color: #fff;
		font-family: "Consolas";
		text-align: justify;
	}

	.desc{
		padding: 0 0 0 20px;
		border-left: 3px solid orange;
	}

	.heading{
		padding: 0;
		letter-spacing: 5px;
	}

	.fa-caret-down{
		display: none;
	}

	.navbar ul li.fb, .navbar ul li.ig, .navbar ul li.tw{
		display: inline-block;
	}

	.navbar ul li.icons{
		display: inline-block;

	}

	@media only screen and (max-width: 850px){
		
		*{
			outline: none;
			box-sizing: border-box;
		}

		.navbar ul li{
			background-color: #222;
			display: none;
			opacity: 1;
		}

		.navbar ul li:hover{
			background-color: #333;
			border: none;
		}

		.navbar ul{
			background-color: #222;
			width: 100%;
			margin: 0px;
			padding-bottom: 0px;
		}

		.navbar ul, .navbar ul li.logo, .navbar ul li.toggleBtn{
			float: none;
			text-align: center;
		}

		.navbar ul li.active{
			margin-top: 10px;
			background-color: #333;
		}
		
		.navbar ul li.activeAfter{
			margin-top: 10px;
		}

		.navbar ul li.logo{
			font-size: 35px;
			padding: 0 0 17px 0;
			background: transparent;
			display: block;
		}

		.navbar ul li.logoAfter{
			padding: 0 0 17px 0;
		}

		.content{
			width: 83%;
			margin-top: 66.66%;
			margin-left: 8.33%;
		}

		.heading{
			text-align: center;
		}

		.desc{
			border-left: 3px solid orange;
			border-right: 3px solid orange;
			padding: 0px 15px;
		}

		.sidenav{
			display: none;
		}

		.fa-caret-down{
			display: block;
		}

		.navbar ul li.toggleBtn{
			padding: 0px;
			display: block;
			text-align: center;
			height: 0;
			color: #fff;
			font-size: 20px;
		}



		.toggle{
			position: relative;
			top: -5px;
			height: 15px;
			transition-property: rotate();
			transition-delay: .7s;
			transition-duration: .7s;
		}
		
		

		.toggleUp{
			position: relative;
			top: 0px;
			height: 15px;
			transform: rotate(180deg);
		}
		
		#toggle{
			
		}

		/* .navbar ul li.fb, li.tw, li.ig{
			display: none;
		} */

		.navbar ul li.iconsAfter{
			display: inline;
		}

		.navbar ul li.icons{
			display: none;
		}
	}

</style>

<body>
	<div class="navbar">		
		<ul>
			<li class="logo logoAfter"><a href="#">logo</a></li>
			<li class="active toToggle" id="toToggle"><a href="#">Menu1</a></li>
			<li class="toToggle passive" id="toToggle"><a href="#">Menu2</a></li>
			<li class="toToggle passive" id="toToggle"><a href="#">Menu3</a></li>
			<li class="toToggle passive" id="toToggle"><a href="#">Menu4</a></li>
			<li class="toToggle passive" id="toToggle"><a href="#">Menu5</a></li>

			<li class="fb icons toToggle" id="toToggle"><a href="#"><i class="fab fa-facebook-f"></i></a></li>
			<li class="tw icons toToggle" id="toToggle"><a href="#"><i class="fab fa-twitter"></i></a></li>
			<li class="ig icons toToggle" id="toToggle"><a href="#"><i class="fab fa-instagram"></i></a></li>

			<li class="toggleBtn"><i class="fas fa-caret-down toggle" id="toggle"></i></li>
		</ul>
	</div>

	<div class="sidenav">
		<ul>
			<li class="fb"><a href="#"><i class="fab fa-facebook-f"></i></a></li>
			<li class="tw"><a href="#"><i class="fab fa-twitter"></i></a></li>
			<li class="ig"><a href="#"><i class="fab fa-instagram"></i></a></li>
		</ul>
	</div>

	<div class="content">
		<div class="heading">
			<h1>Title</h1>
		</div>
		
		<div class="desc">
			<p>Lorem ipsum dolor sit amet, consectetur adipisicing elit. Sint ullam error beatae, molestias deserunt culpa corporis itaque illo omnis facere.</p>
		</div>

	</div>
	

	<script type="text/javascript">

		$(document).ready(function() {

			//jQuery for responsiv
			$(".toggleBtn").click(function(){
				$(".toToggle").slideToggle('slow/400/fast');	
			});

			$(".toggleBtn").click(function() {
				$(".toggle").toggleClass('toggleUp');
			});

			$(".toggleBtn").click(function() {
				$(".logo").toggleClass('logoAfter');
			});

			$(".passive").hover(function(){
				$(".active").toggleClass('activeAfter').removeClass('active');
			});

			$(".toggleBtn").click(function() {
				$("icons").toggleClass('iconsAfter');
			});
		});
	</script>

</body>
</html>